Bug 828170 - cgset --copy-from broken
cgset --copy-from broken
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libcgroup (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Chaloupka
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 08:02 EDT by Ondrej Valousek
Modified: 2014-08-04 07:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: libcgroup-0.40.rc1-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-04 07:17:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Valousek 2012-06-04 08:02:38 EDT
Description of problem:
cgset --copy-from tries to set read-only parameters (like memory.stat) as well which renders the 'cgset --copy-from' command useless as it fails with the "cgset: the group can't be modified" error.

Version-Release number of selected component (if applicable):
libcgroup-0.37-3.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 6 RHEL Product and Program Management 2012-12-14 03:09:04 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Jan Chaloupka 2014-08-04 07:17:15 EDT
cgset --copy-from test_cgroup1/ test_cgroup2/ no longer fails.

Fixed for rhel6.6. CLOSED as NEXTRELEASE from the point of view of rhel6.2.

Note You need to log in before you can comment on or make changes to this bug.